ObexCode Logo ObexCode Logo

REST Protocols

The ObexCode Sync Engine API is a RESTful HTTP protocol that uses Atom/AtomPub.

Methods

REST uses the HTTP operations to implement the standard Create-Retrieve-Update-Delete (CRUD) database semantics.

POST
Create a new object
GET
Retrieve an object
PUT
Update an object
DELETE
Delete an object

For example, to update a resource you need to do a HTTP PUT operation to the given URL endpoint for the API you want to use:

PUT /example/1231 HTTP/1.1
Host: api.obexcode.com
Content-Type: application/atom+xml

Some environments does not support HTTP PUT or DELETE, so you may also use POST and specify a different operation. This example is identical to the previous PUT example:

POST /example/1231?_method=PUT
Host: api.obexcode.com
Content-Type: application/atom+xml

REST Endpoints

The following URL endpoints are available for the different APIs

http://api.obexcode.com/v2/phones/vendors/

http://api.obexcode.com/v2/phones/vendors/models/

http://api.obexcode.com/v2/services/google/

http://api.obexcode.com/v2/services/syncml/